Bug 200415 - ipvs: fix connection leak if expire_nodest_conn=1
ipvs: fix connection leak if expire_nodest_conn=1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-07-27 11:44 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 22:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported IPVS fix from 2.6.14.2 upstream. (587 bytes, patch)
2006-07-27 11:44 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-07-27 11:44:26 EDT
Description of problem:

[Problem]

This customer tried to compile "ipvs" kernel module and apply it to system.
And, he tried to make a cluster system by using keepalived free software.
Actually, upd 5060 port is clustering. If the application listened to this port
has a problem, the application running on  other server will take over the
operation. On RHEL 4, if an application stops, the operation will not be taken over.

Version-Release number of selected component (if applicable):

   kernel-2.6.9-34.0.2

How reproducible: 
   Always.
  
Actual results:
On RHEL 4, if an application stops, the operation will not be taken over.

Expected results:
failover.

Additional info:
This is a backport from 2.6.12 upstream :
--
[PATCH] ipvs: fix connection leak if expire_nodest_conn=1
From: http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.14.2
--

The customer has tried the backport on RHEL4 and confirms it fixes the problem.
Comment 1 Jose Plans 2006-07-27 11:44:32 EDT
Created attachment 133163 [details]
Backported IPVS fix from 2.6.14.2 upstream.
Comment 11 Jason Baron 2006-09-19 13:57:53 EDT
committed in stream U5 build 42.12. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 15 Red Hat Bugzilla 2007-05-07 22:57:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.